<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>Odds</groupId>
  <artifactId>OddsFx</artifactId>
  <version>0.0.1-SNAPSHOT</version>
    <properties>
    <maven.compiler.source>18</maven.compiler.source>
    <maven.compiler.target>18</maven.compiler.target>
  </properties>
  <repositories>
    <repository>
      <id>nordhs-repo</id>
      <name>Nords Repo</name>
      <url>http://nordh.xyz:9099/repository/nordhs-repo/</url>
    </repository>
  </repositories>
  <build>
    <sourceDirectory>src</sourceDirectory>
    <plugins>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.10.1</version>
      </plugin>
	        <plugin>
        <groupId>org.openjfx</groupId>
          <artifactId>javafx-maven-plugin</artifactId>
          <version>0.0.6</version>
          <executions>
              <execution>
                  <!-- Default configuration for running -->
                  <!-- Usage: mvn clean javafx:run -->
                  <id>default-cli</id>
                  <configuration>
                      <mainClass>application.Main</mainClass>
                  </configuration>
              </execution>
          </executions>
        </plugin>
    </plugins>
    <resources>
      <resource>
        <directory>src/fxml/</directory>
        <includes>
          <include>**/*.fxml</include>
        </includes>
      </resource>
    </resources>
  </build>
  <dependencies>
    <dependency>
      <groupId>Odds</groupId>
      <artifactId>Odds</artifactId>
      <version>Odds-0.0.1-SNAPSHOT</version>
    </dependency>
    <dependency>
	    <groupId>com.google.guava</groupId>
	    <artifactId>guava</artifactId>
	    <version>30.0-jre</version>
	  </dependency>
    <dependency>
      <groupId>net.sourceforge.htmlunit</groupId>
        <artifactId>htmlunit</artifactId>
        <version>2.50.0</version>
    </dependency>
      <dependency>
          <groupId>com.mysql</groupId>
          <artifactId>mysql-connector-j</artifactId>
          <version>8.0.33</version>
      </dependency>
    <dependency>
        <groupId>com.github.jbytecode</groupId>
        <artifactId>RCaller</artifactId>
        <version>3.0</version>
    </dependency>
		<dependency>
	    <groupId>com.google.code.gson</groupId>
	    <artifactId>gson</artifactId>
	    <version>2.9.0</version>
	  </dependency>
  	<dependency>
	    <groupId>org.openjfx</groupId>
	    <artifactId>javafx-controls</artifactId>
	    <version>19-ea+8</version>
	  </dependency>
	  <dependency>
	      <groupId>org.openjfx</groupId>
	      <artifactId>javafx-fxml</artifactId>
	      <version>19-ea+8</version>
	  </dependency>
   </dependencies>
</project>